Product comparison · 2 ip phones

Yealink T58W(Pro) with Camera vs Yealink VP59 IP phone Black, Grey LCD Wi-Fi

Add a product
  • 38specifications compared
  • 10differ
  • 28identical
  • 55known for one product only

Key differences

The Yealink T58W(Pro) with Camera has 1 more USB 2.0 ports quantity than the Yealink VP59 IP phone Black, Grey LCD Wi-Fi (2 vs 1). Handset type: Wireless handset on the Yealink T58W(Pro) with Camera, Wired handset on the Yealink VP59 IP phone Black, Grey LCD Wi-Fi. Product colour: Grey on the Yealink T58W(Pro) with Camera, Black, Grey on the Yealink VP59 IP phone Black, Grey LCD Wi-Fi. Display diagonal: 17.8 cm (7") on the Yealink T58W(Pro) with Camera, 20.3 cm (8") on the Yealink VP59 IP phone Black, Grey LCD Wi-Fi. Display resolution: 1024 x 600 pixels on the Yealink T58W(Pro) with Camera, 1280 x 800 pixels on the Yealink VP59 IP phone Black, Grey LCD Wi-Fi.

  • Handset type
    • T58W(Pro) with Camera:Wireless handset
    • VP59 IP phone Black, Grey LCD Wi-Fi:Wired handset
  • Product colour
    • T58W(Pro) with Camera:Grey
    • VP59 IP phone Black, Grey LCD Wi-Fi:Black, Grey
  • Display diagonal
    • T58W(Pro) with Camera:17.8 cm (7")
    • VP59 IP phone Black, Grey LCD Wi-Fi:20.3 cm (8")
  • Display resolution
    • T58W(Pro) with Camera:1024 x 600 pixels
    • VP59 IP phone Black, Grey LCD Wi-Fi:1280 x 800 pixels
  • USB 2.0 ports quantity
    • T58W(Pro) with Camera:2
    • VP59 IP phone Black, Grey LCD Wi-Fi:1

Side by side

Differences highlightedShow differences only (off)
Comparison of T58W(Pro) with Camera, VP59
93 specifications
Design2 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWireless handsetWired handset
Product colourDiffersGreyBlack, Grey
Wall mountableKnown for oneYesUnknown — not stated by the source
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneIn-band, Out-of band, SIP infoUnknown — not stated by the source
Hearing aid compatibilityKnown for oneYesUnknown — not stated by the source
Operating system installedKnown for oneUnknown — not stated by the sourceAndroid
Operating system versionKnown for oneUnknown — not stated by the source7.1
Phone featuresidentical
Answering machineKnown for oneYesUnknown — not stated by the source
Anonymous callKnown for oneYesUnknown — not stated by the source
Anonymous call rejectionKnown for oneYesUnknown — not stated by the source
Call forwardingYesYes
Call holdYesYes
Call parkKnown for oneYesUnknown — not stated by the source
Call pick upKnown for oneYesUnknown — not stated by the source
Call returnKnown for oneYesUnknown — not stated by the source
Call transferYesYes
Call waitingYesYes
Caller IDKnown for oneYesUnknown — not stated by the source
Conference callKnown for oneYesUnknown — not stated by the source
Do not disturb functionKnown for oneYesUnknown — not stated by the source
Full duplexYesYes
IntercomKnown for oneYesUnknown — not stated by the source
Message-waiting indicator (MWI)YesYes
Phonebook capacityKnown for one1000 entriesUnknown — not stated by the source
RedialingKnown for oneYesUnknown — not stated by the source
Speed diallingKnown for oneYesUnknown — not stated by the source
Number of VoIP accountsKnown for oneUnknown — not stated by the source16
Management featuresidentical
Integrated voicemailYesYes
Keypad number of keysKnown for one27Unknown — not stated by the source
Number of function keysKnown for one7Unknown — not stated by the source
Plug and PlayKnown for oneUnknown — not stated by the sourceYes
Display2 differ
DisplayLCDLCD
Display diagonalDiffers17.8 cm (7")20.3 cm (8")
Display resolutionDiffers1024 x 600 pixels1280 x 800 pixels
TouchscreenYesYes
Touchscreen typeCapacitiveCapacitive
Number of simultaneous touchpointsKnown for oneUnknown — not stated by the source10
Backlight displayKnown for oneUnknown — not stated by the sourceYes
Cameraidentical
Front cameraYesYes
Front camera resolution (numeric)2 MP2 MP
Field of view (FOV) angleKnown for one75°Unknown — not stated by the source
Camera privacy shutterKnown for oneYesUnknown — not stated by the source
Audio1 differ
SpeakerphoneYesYes
Microphone muteKnown for oneYesUnknown — not stated by the source
Adaptive jitter buffersKnown for oneYesUnknown — not stated by the source
Automatic gain controlYesYes
Comfort noise generation (CNG)Known for oneYesUnknown — not stated by the source
Noise reductionYesYes
Packet loss concealment (PLC)YesYes
Voice activity detectionYesYes
Voice codecsDiffersG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBCG.711a, G.711u, G.723.1, G.726, G.729A, G.729B, iLBC
Videoidentical
Video callYesYes
Bit rateKnown for one512 Kbit/sUnknown — not stated by the source
Video resolutionsKnown for one1280 x 720 pixelsUnknown — not stated by the source
Video capture resolution (max)Known for one1280 x 720 pixelsUnknown — not stated by the source
Video capturing speedKnown for one30 fpsUnknown — not stated by the source
Video codecsKnown for oneH.264 High Profile, H.264, VP8Unknown — not stated by the source
Network4 differ
Ethernet LANYesYes
Ethernet LAN data ratesKnown for one1000 Mbit/sUnknown — not stated by the source
Ethernet LAN interface typeGigabit EthernetGigabit Ethernet
Wi-FiYesYes
Wi-Fi standardsDiffers802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)802.11a, 802.11ad, 802.11b, 802.11g, Wi-Fi 4 (802.11n), Wi-Fi 5 (802.11ac), Wi-Fi 6 (802.11ax)
BluetoothYesYes
Bluetooth version4.24.2
Networking standardsDiffersIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3afIEEE 802.11a, IEEE 802.11ac, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
Security algorithmsDiffers256-bit AES, HTTPS, TLS, WPA2, WPA3HTTPS, MD5, SSL/TLS
Supported network protocolsDiffersIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)IPv4/IPv6, HTTP/HTTPS, SNTP
Ports & interfaces1 differ
USB 2.0 ports quantityDiffers21
Ethernet LAN (RJ-45) ports22
RJ-9 ports quantity22
Cable lock slotKnown for oneUnknown — not stated by the sourceYes
HDMI ports quantityKnown for oneUnknown — not stated by the source1
Poweridentical
Power over Ethernet (PoE)YesYes
AC adapter input voltageKnown for oneUnknown — not stated by the source100 - 240 V
AC adapter output voltageKnown for oneUnknown — not stated by the source12 V
AC adapter output currentKnown for oneUnknown — not stated by the source1 A
Operational conditionsidentical
Operating relative humidity (H-H)Known for one5 - 90%Unknown — not stated by the source
Operating temperature (T-T)Known for one-10 - 45 °CUnknown — not stated by the source
Weight & dimensionsidentical
WidthKnown for one259.4 mmUnknown — not stated by the source
DepthKnown for one220 mmUnknown — not stated by the source
HeightKnown for one239 mmUnknown — not stated by the source
Package widthKnown for one324 mmUnknown — not stated by the source
Package depthKnown for one293 mmUnknown — not stated by the source
Package heightKnown for one128 mmUnknown — not stated by the source
Package weightKnown for one8.8 kgUnknown — not stated by the source
Packaging contentidentical
Number of handles included1 pc(s)1 pc(s)
Cables includedKnown for oneUnknown — not stated by the sourceLAN (RJ-45)
HandsetKnown for oneUnknown — not stated by the sourceYes
ManualKnown for oneUnknown — not stated by the sourceYes
Quick start guideKnown for oneUnknown — not stated by the sourceYes
Stand includedKnown for oneUnknown — not stated by the sourceYes

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons